Package org.eclipse.birt.core.template

# Interface Node

All Known Implementing Classes:
  `ASTAttribute`, `ASTEbody_content`, `ASTImage`, `ASTTemplate`, `ASTText`, `ASTValueOf`, `ASTViewTimeValueOf`, `SimpleNode`

public interface Node

## Method Summary

Modifier and Type
Method
Description
`Object`
`jjtAccept(ParserVisitor visitor, Object data)`
Accept the visitor.
`void`
`jjtAddChild(Node n, int i)`
This method tells the node to add its argument to the node's list of children.
`void`
`jjtClose()`
This method is called after all the child nodes have been added.
`Node`
`jjtGetChild(int i)`
This method returns a child node.
`int`
`jjtGetNumChildren()`
Return the number of children the node has.
`Node`
`jjtGetParent()`
`void`
`jjtOpen()`
This method is called after the node has been made the current node.
`void`
`jjtSetParent(Node n)`
This pair of methods are used to inform the node of its parent.

## Method Details

### jjtOpen

void jjtOpen()
This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtClose

void jjtClose()
This method is called after all the child nodes have been added.

### jjtSetParent

void jjtSetParent(Node n)
This pair of methods are used to inform the node of its parent.

### jjtGetParent

Node jjtGetParent()

### jjtAddChild

void jjtAddChild(Node n, int i)
This method tells the node to add its argument to the node's list of children.

### jjtGetChild

Node jjtGetChild(int i)
This method returns a child node. The children are numbered from zero, left to right.

### jjtGetNumChildren

int jjtGetNumChildren()
Return the number of children the node has.

### jjtAccept

Object jjtAccept(ParserVisitor visitor, Object data)
Accept the visitor.